## flex 0.1.0

=== DESCRIPTION ===
Package: flex
Title: Fuzzy Linear Squares Estimation with Explicit Formula (FLEX)
Version: 0.1.0
Date: 2025-08-27
Authors@R: c(
    person(given = "Chaewon", family = "Lee",
           role = c("aut", "cre"),
           email = "chaewon.lee@unc.edu"),
    person(given = c("Jin", "Hee"),
           family = "Yoon",
           role = "ctb")
    )
Description: The FLEX method, developed by Yoon and Choi (2013) <doi:10.1007/978-3-642-33042-1_21>, performs least squares estimation for fuzzy predictors and outcomes, generating crisp regression coefficients by minimizing the distance between observed and predicted outcomes. It also provides functions for fuzzifying data and inference tasks, including significance testing, fit indices, and confidence interval estimation.
License: MIT + file LICENSE
BugReports: https://github.com/cwlee-quantpsych/flex/issues
Depends: R (>= 3.5.0)
Encoding: UTF-8
RoxygenNote: 7.3.2
Imports: ggplot2, plotly, rlang, magrittr
NeedsCompilation: no
Packaged: 2025-08-27 21:23:07 UTC; chaewon
Author: Chaewon Lee [aut, cre],
  Jin Hee Yoon [ctb]
Maintainer: Chaewon Lee <chaewon.lee@unc.edu>
Repository: CRAN
Date/Publication: 2025-09-02 06:30:07 UTC
