## flex 2.5.39

=== debian/changelog ===
flex (2.5.39-8~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1365896)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 17 Sep 2014 12:46:53 +0100

flex (2.5.39-8) unstable; urgency=low

  * Added a missing build depends on vm-super-minimal, reuired fro
    building the pdf documentation,  (Closes: #752151).
  * Move flex.pdf to the flex-doc package. This makes it possible for the
    flex package's contents to not change if texinfo is not installed,
    e.g. in the stage1 build profile.  Thanks to Peter Pentchev
    <roam@ringlet.net>
  * Move the flex-doc build dependencies to B-D-I. Move the TeX Live
    dependencies to Build-Depends-Indep and only build the HTML and PDF
    documentation if actually requested. This breaks a circular build
    dependency by not requiring texlive for the build of the
    arch-dependent flex binary packages.  (Closes: #749344).
  * Bug fix #752151: "pdfetex error about missing cm-super", thanks to
    Helmut Grohne and Cyril Brulebois
  * Bug fix: #749344" Allow bootstrapping without texlive and
    dh-autoreconf", thanks to Peter Pentchev

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Jun 2014 20:58:31 -0700

flex (2.5.39-7) unstable; urgency=low

  * dh-autoreconf already depends on all the autotools that it will
    attempt to use to rebuild the package's build framework, so remove the
    direct (and redundant) dependencies on the autotools
    packages. Suggestion by Peter Pentchev  (Closes: #749341).
  * The patch also cleaned up the creation of examples and links for man
    pages.
  * Bug fix #749341: "Drop the autotools build dependencies, dh-autoreconf
    is sufficient", thanks to Peter Pentchev

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 May 2014 18:12:36 -0700

flex (2.5.39-6) unstable; urgency=low

  * The code that is generated by flex has an off-by-one error in the
    generated #line pragmas that occur after the second %% line in the
    source file. Marcus Rausch  supplied the patch that fixes it.
    (Closes: #542482).
  * Bug fix #542482: "Off-by-one error in line statements", thanks to
    Wouter Verhelst

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 06 May 2014 23:57:31 -0700

flex (2.5.39-5) unstable; urgency=low

  * Adapted patch from Matthias Klose to add  pre-seeding of autoconf
    values as paramaters, fixing cross builds. flex uses runtime checks
    for configure tests, and preseeding allows cross build to succeed,
  * Bug fix: "fix cross build", thanks to Matthias Klose. Applied fix
    manually  (Closes: #746172).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 27 Apr 2014 15:55:36 -0700

flex (2.5.39-4) unstable; urgency=low

  * Bug fix: "Flex 2.5.39-3 has a typo in installman", thanks to
    Gianfranco Costamagna. over -> over (Closes: #745228).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Apr 2014 23:37:29 -0700

flex (2.5.39-3) unstable; urgency=medium

  * Move libl.a from flex to libfl-dev, for real
  * install link manually for libfl-dev alone, cleaning up the rules file
    in the process.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Apr 2014 12:45:38 -0700

flex (2.5.39-2) unstable; urgency=low

  * New bug fixing release
  * Bug fix: "typo in README.Debian: libfla_pic.a -&gt; libfl_pic.a",
    thanks to Jakub Wilk (Closes: #744853).
  * Bug fix: "libfl-dev and flex-old: error when trying to install
    together", thanks to Ralf Treinen. The package libfl-dev needs to
    replace and Break the flex-old package too,  (Closes: #744833).
  * Bug fix: "redundant redeclaration of ‘isatty’", thanks to Ludovic
    Rousseau. This duplication was removed in the last upstream release.
    (Closes: #488274).
  * Bug fix: "flex-2.5.35 bug", thanks to Yuriy Z. scan.c now declares n
    as size_t, in the new upstream version.  (Closes: #633008).
  * Bug fix: "make check failure", thanks to Sayre, Alan N. The new
    version of flex does succeed in running make check (it would not build
    otherwise) (Closes: #632095).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Apr 2014 02:15:10 -0700

flex (2.5.39-1) unstable; urgency=medium

  * New upstream release
  * internationalization: added support for various languages. Fix make
    install target to not fail when the flex++ program is already
    installed. various portability fixes that quiet compiler warnings on
    64-bit hosts. numerous bug fixes.
  * Moved to a new dh based build system. Also moved to a 3.0 source
    format, using debcherry.
  * Bug fix: "cross build support", thanks to Eleanor Chen. We have moved
    to a standard dh based build, so we should not have this issue any more.
    (Closes:    #719955).
  * Bug fix: "examples not included into binary packages", thanks to Carl
    Fürstenberg. Examples are in this version.  (Closes: #560387).
  * Bug fix: "new upstream release 2.5.37", thanks to Peter Eisentraut
    (Closes: #729759).
  * Bug fix: "flex, new release available for download", thanks to
    Gianfranco Costamagna (Closes: #736345).
  * Bug fix: "please mark flex as Multi-Arch: allowed", thanks to Steve
    Langasek. Redid the patch to work with dh.     (Closes: #611230).
  * Updating to a new build system means that the changes made to the
    build system in the NMU are not needed, dh does the right thing.
  * The new upstream release added the prototypes in re-entrant mode, so
    we are no longer carrying those patches.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 Apr 2014 18:06:12 -0700

flex (2.5.35-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dpkg-buildflags to enable hardened build flags.
    Thanks to Moritz Muehlenhoff <jmm@debian.org>. (Closes: #655414)
  * Add prototypes for yy_[gs]etcolumn in re-entrant mode, taken from Fedora.
    Thanks to Daniel Stone <daniel@fooishbar.org>. (Closes: #667027)

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jun 2012 17:03:27 +0200

flex (2.5.35-10) unstable; urgency=low


