=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

http://sf.net/flex/flex-([\d\.]*)\.tar\.gz
#ftp://ftp.sf.net/pub/sourceforge/f/fl/flex/flex-([\d.]*)\.tar\.gz

# If the project uses stable=even and unstable=odd (middle) version numbers,
# http://sf.net/<package>/<package>-(\d+)\.(\d*[02468])\.(\d+)\.tar\.gz
# http://sf.net/<package>/<package>-(\d+\.\d?[02468]\.\d+)\.tar\.gz
